local delay = 2	--time to wait before taking the screenshot
local counter = 0
local setgrab = nil
local f = CreateFrame("frame")

local localisedText = { ["LOADED"] = "BGScoreShot - Loaded.", ["HORDE_WINS"] = "The Horde wins!", ["ALLIANCE_WINS"] = "The Alliance wins!", ["TRIGGERED"] = "BGScoreShot - Triggered." }
if GetLocale() =="deDE"     then localisedText = { ["LOADED"] = "BGScoreShot - Loaded.", ["HORDE_WINS"] = "The Horde wins!", ["ALLIANCE_WINS"] = "The Alliance wins!", ["TRIGGERED"] = "BGScoreShot - Triggered." }
elseif GetLocale() =="esES" then localisedText = { ["LOADED"] = "BGScoreShot - Loaded.", ["HORDE_WINS"] = "The Horde wins!", ["ALLIANCE_WINS"] = "The Alliance wins!", ["TRIGGERED"] = "BGScoreShot - Triggered." }
elseif GetLocale() =="frFR" then localisedText = { ["LOADED"] = "BGScoreShot - Loaded.", ["HORDE_WINS"] = "The Horde wins!", ["ALLIANCE_WINS"] = "The Alliance wins!", ["TRIGGERED"] = "BGScoreShot - Triggered." }
end

f:RegisterEvent("CHAT_MSG_BG_SYSTEM_NEUTRAL")

DEFAULT_CHAT_FRAME:AddMessage("|cFFFF00FF"..localisedText["LOADED"].."|r")

f:SetScript("OnEvent", function(self, event, ...)
	if event == ("CHAT_MSG_BG_SYSTEM_NEUTRAL") then
		local message = ...
		if ((message == localisedText["HORDE_WINS"]) or (message == localisedText["ALLIANCE_WINS"])) then
			SetBattlefieldScoreFaction(nil)
			SortBattlefieldScoreData("hk")
			setgrab = 1
		end
	end
end
)


f:SetScript("OnUpdate", function(self, elapsed)
	if setgrab then
		counter = counter + elapsed
		if (counter >= delay) then
			if setgrab == 1 then
				SortBattlefieldScoreData("cp")
				counter = 0
				setgrab = 2
			elseif setgrab == 2 then
				Screenshot()
				DEFAULT_CHAT_FRAME:AddMessage("|cFFFF00FF"..localisedText["TRIGGERED"].."|r")
				counter = 0
				setgrab = nil
			end
		end
	end
end
)
